%global commit c4bb86f9c8a7630ed77a8d9d3135a32ec755c4eb
%global _internal_version %(c=%{commit}; echo ${c:0:7})

%define gir_major 3.0
%define gir_name        %mklibname %{name}-gir %{gir_major}

%define major 1
%define libnemo_extension    %mklibname %{name}-extension %{major}
%define libname_devel   %mklibname %{name}-extension -d
%define date 20230119

%bcond_with selinux
%bcond_with tracker

Name:           nemo
Summary:        File manager for Cinnamon
Version:        5.6.3
#Release:        %mkrel -c %{date}.git%{_internal_version} 1
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
Group:          File tools
URL:            https://github.com/linuxmint/
Source0:        %url/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Source0: https://github.com/linuxmint/nemo/tarball/%{_internal_version}#/nemo-%{version}.git%{_internal_version}.tar.gz

Source1:        nemo-mageia.gschema.override
Patch0:         Don-t-scale-text-size-when-zooming.patch
BuildRequires:  meson
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  rarian
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libnotify)
%if %{with selinux}
BuildRequires:  pkgconfig(libselinux)
%endif
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pygobject-3.0)
%if %{with tracker}
BuildRequires:  pkgconfig(tracker-sparql-2.0)
%endif
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xapp)
BuildRequires:  pkgconfig(libgsf-1)

# needed for theme subpackage
BuildRequires:  gnome-themes-standard
BuildRequires:  python3-polib
BuildRequires:  python3-gobject3


Requires:	gvfs
Requires:	adwaita-icon-theme
Requires:	cinnamon-desktop
Requires:	cinnamon-translations

# the main binary links against libnemo-extension.so
# don't depend on soname, rather on exact version
Requires:       %{libnemo_extension} = %{version}-%{release}

# for GSettings schema 'org.x.apps.favorites'
# (nemo:12122): GLib-GIO-ERROR **: 12:44:33.492: Settings schema 'org.x.apps.favorites' is not installed
Requires:	xapps >= 2.0

%description
Nemo is the file manager and graphical shell for the Cinnamon desktop
that makes it easy to manage your files and the rest of your system.
It allows to browse directories on local and remote filesystems, preview
files and launch applications associated with them.
It is also responsible for handling the icons on the Cinnamon desktop.

%package -n %{libnemo_extension}
Summary: Nemo extensions library
License: LGPLv2+
Group: System/Libraries
Obsoletes: %{_lib}nemo-extension < 4.8.2-3

%description -n %{libnemo_extension}
This package provides the libraries used by nemo extensions.

%package -n %{libname_devel}
Summary: Support for developing nemo extensions
License: LGPLv2+
Group: Development/GNOME and GTK+
Requires: %{libnemo_extension} = %{version}-%{release}
Requires: %{gir_name} = %{version}-%{release}
Provides: %{name}-extension-devel = %{version}-%{release}
Obsoletes: %{_lib}nemo-devel < 4.8.2-3

%description -n %{libname_devel}
This package provides libraries and header files needed
for developing nemo extensions.

%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libnemo_extension} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%prep
#autosetup -p1 -n linuxmint-nemo-%{_internal_version}
%autosetup -p1

%build
%meson \
  -Ddeprecated_warnings=false \
  -Dselinux=%{?with_selinux:true}%{!?with_selinux:false} \
  -Dtracker=%{?with_tracker:true}%{!?with_tracker:false} \
  -Dgtk_doc=false
%meson_build

%install
%meson_install

install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/glib-2.0/schemas

# create extensions directoy
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/

%files
%doc AUTHORS NEWS
%license COPYING COPYING-DOCS
%{_datadir}/nemo/
%{_datadir}/applications/*
%{_datadir}/mime/packages/nemo.xml
%{_bindir}/*
%{_datadir}/icons/hicolor/*/*/*.{png,svg}
%{_datadir}/dbus-1/services/nemo.FileManager1.service
%{_datadir}/dbus-1/services/nemo.service
%{_mandir}/man1/nemo-connect-server.1.*
%{_mandir}/man1/nemo.1.*
%{_mandir}/man1/nemo-desktop.1.*
%{_libexecdir}/nemo-convert-metadata
%{_libexecdir}/nemo-extensions-list
%{_datadir}/glib-2.0/schemas/*
%dir %{_libdir}/nemo/extensions-3.0/
%{_datadir}/polkit-1/actions/org.nemo.root.policy
%{_datadir}/gtksourceview-*/language-specs/nemo_action.lang
%{_datadir}/gtksourceview-*/language-specs/nemo_search_helper.lang

%files -n %{libnemo_extension}
%license COPYING.EXTENSIONS COPYING.LIB
%{_libdir}/libnemo-extension.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/nemo/
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/Nemo-%{gir_major}.gir

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Nemo-%{gir_major}.typelib


%changelog
* Mon Feb 20 2023 joequant <joequant> 5.6.3-1.mga9
+ Revision: 1944174
- update to 5.6.3

* Fri Jan 13 2023 joequant <joequant> 5.6.2-1.mga9
+ Revision: 1932766
- update to 5.6.2

* Sun Dec 04 2022 joequant <joequant> 5.6.0-1.mga9
+ Revision: 1917553
- update to 5.6.0

* Thu Sep 29 2022 tv <tv> 5.4.3-1.mga9
+ Revision: 1893262
- 5.4.3

* Sun Aug 07 2022 joequant <joequant> 5.4.2-1.mga9
+ Revision: 1875837
- update to 5.4.2

* Fri Jul 01 2022 joequant <joequant> 5.4.0-1.mga9
+ Revision: 1867006
- update to 5.4.0

* Fri Apr 01 2022 umeabot <umeabot> 5.2.2-2.mga9
+ Revision: 1838984
- Mageia 9 Mass Rebuild

* Sat Dec 25 2021 joequant <joequant> 5.2.2-1.mga9
+ Revision: 1763603
- update to 5.2.2

* Wed Nov 24 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1758983
- update to 5.2.0

* Sat Nov 06 2021 joequant <joequant> 5.0.5-1.mga9
+ Revision: 1754056
- update to 5.0.5

* Thu Jul 01 2021 joequant <joequant> 5.0.2-1.mga9
+ Revision: 1734432
- update to nemo

* Wed Jun 02 2021 joequant <joequant> 5.0.0-1.mga9
+ Revision: 1729180
- update to 5.0.0

* Fri Mar 19 2021 joequant <joequant> 4.8.6-1.mga9
+ Revision: 1704896
- update to 4.8.6

* Thu Feb 04 2021 martinw <martinw> 4.8.2-5.mga8
+ Revision: 1674880
- apply upstream patch to fix hang/crash when starting (mga#28129)

* Sun Jan 31 2021 neoclust <neoclust> 4.8.2-4.mga8
+ Revision: 1674272
- Add 2 patches from upstream to fix a crash at start

* Sun Jan 17 2021 wally <wally> 4.8.2-3.mga8
+ Revision: 1672141
- fix nemo-extension devel pkg name
- fix typo from r1672128
- fix nemo-extension lib pkg name and group
- remove OnlyShowIn=GNOME entry from .desktop files

* Sun Jan 17 2021 wally <wally> 4.8.2-2.mga8
+ Revision: 1672119
- require xapps for 'org.x.apps.favorites' GSettings schema

* Fri Dec 11 2020 joequant <joequant> 4.8.2-1.mga8
+ Revision: 1655302
- update to 4.8.2 which fixes crash in 4.8.0

* Tue Dec 08 2020 joequant <joequant> 4.8.0-1.mga8
+ Revision: 1654609
- update to 4.8.0

* Wed Sep 30 2020 joequant <joequant> 4.6.5-1.mga8
+ Revision: 1631307
- bump
- update to 4.6.5

* Sun Jun 28 2020 joequant <joequant> 4.6.4-1.mga8
+ Revision: 1599834
- update to 4.6.4

* Wed Jun 03 2020 joequant <joequant> 4.6.2-1.mga8
+ Revision: 1590162
- update to 4.6.2

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584248
- update to 4.6.0

* Thu Feb 20 2020 umeabot <umeabot> 4.4.2-2.mga8
+ Revision: 1547351
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 joequant <joequant> 4.4.2-1.mga8
+ Revision: 1487962
- upgrade to 4.4.2

* Sat Dec 07 2019 joequant <joequant> 4.4.1-1.mga8
+ Revision: 1464879
- update to 4.4.1

* Fri Sep 06 2019 joequant <joequant> 4.2.3-1.mga8
+ Revision: 1437930
- upgrade to 4.2.3

* Fri Aug 23 2019 joequant <joequant> 4.2.2-1.mga8
+ Revision: 1431490
- update to 4.2.2

* Fri Jul 05 2019 joequant <joequant> 4.2.0-1.mga8
+ Revision: 1418830
- update to 4.2

* Thu Apr 18 2019 umeabot <umeabot> 4.0.6-3.mga7
+ Revision: 1392831
- Rebuild with meson 0.50.1

* Mon Jan 14 2019 joequant <joequant> 4.0.6-2.mga7
+ Revision: 1356871
- upgrade to 4.0.6

* Sun Jan 13 2019 kekepower <kekepower> 4.0.2-2.mga7
+ Revision: 1356069
- Rebuild for new exempi

* Mon Nov 26 2018 joequant <joequant> 4.0.2-1.mga7
+ Revision: 1334883
- upgrade to 4.0.2

* Sun Nov 04 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328373
- upgrade to 4.0.0

* Mon Oct 01 2018 joequant <joequant> 3.8.6-2.mga7
+ Revision: 1313764
- update to 3.8.6

* Sun Sep 23 2018 umeabot <umeabot> 3.8.5-2.mga7
+ Revision: 1299694
- Mageia 7 Mass Rebuild

* Tue Jul 31 2018 joequant <joequant> 3.8.5-1.mga7
+ Revision: 1246408
- update to 3.8.5 gcc8

* Mon May 14 2018 joequant <joequant> 3.8.2-2.mga7
+ Revision: 1229379
- upload source files
- update to 3.8.2

* Mon Mar 19 2018 kekepower <kekepower> 3.6.5-2.mga7
+ Revision: 1210352
- Rebuild for new exempi

* Mon Mar 12 2018 joequant <joequant> 3.6.5-1.mga7
+ Revision: 1208713
- upgrade to 3.6.5

* Wed Dec 13 2017 tv <tv> 3.6.4-2.mga7
+ Revision: 1182485
- kill outdated/unmaintained adwaita-nemo subpkg (got imported from nemo-1.1.2
  from FC which later kills it whne updating to 2.6.6)
  and indeed the issue has been fixed upstrem

* Sat Nov 25 2017 joequant <joequant> 3.6.4-1.mga7
+ Revision: 1179191
- upgrade to 3.6.4

* Wed Nov 01 2017 joequant <joequant> 3.6.2-1.mga7
+ Revision: 1175425
- update to 3.6.2

* Sun Aug 13 2017 joequant <joequant> 3.4.7-2.mga7
+ Revision: 1140025
- rebuild for arm

* Sat Aug 12 2017 joequant <joequant> 3.4.7-1.mga7
+ Revision: 1140007
- update to 3.4.7

* Mon Jul 17 2017 joequant <joequant> 3.4.6-1.mga7
+ Revision: 1123956
- update to 3.4.6

* Mon Jan 23 2017 joequant <joequant> 3.2.2-1.mga6
+ Revision: 1083167
- upgrade to 3.2.2

* Sat Dec 03 2016 joequant <joequant> 3.2.0-5.mga6
+ Revision: 1071805
- update to 3.2.0 - fix icon redraw issue

* Tue May 24 2016 joequant <joequant> 3.0.2-5.mga6
+ Revision: 1018116
- bump for arm build

* Mon May 23 2016 joequant <joequant> 3.0.2-4.mga6
+ Revision: 1017904
- bump for arm

* Sun May 22 2016 joequant <joequant> 3.0.2-3.mga6
+ Revision: 1017448
- use python3

* Sun May 22 2016 joequant <joequant> 3.0.2-2.mga6
+ Revision: 1017438
- save python23
- fix python2/3 issues in build
- upgrade to 3.0.2

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008844
- upgrade to 3.0.0

* Sat Mar 26 2016 joequant <joequant> 2.8.7-1.mga6
+ Revision: 995549
- upgrade to 2.8.7

* Wed Feb 03 2016 joequant <joequant> 2.8.6-2.mga6
+ Revision: 933487
- fix #17562 segfault with patch from fedora

* Tue Dec 22 2015 joequant <joequant> 2.8.6-1.mga6
+ Revision: 913461
- upgrade to 2.8.6
+ tv <tv>
- kill commented out patches

* Mon Dec 21 2015 tv <tv> 2.8.5-1.mga6
+ Revision: 912813
- add download URL
- new release

* Wed Nov 18 2015 joequant <joequant> 2.8.4-1.mga6
+ Revision: 904004
- upgrade to 2.8.4

* Thu Oct 22 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 894213
- update to 2.8.0

* Mon Jun 29 2015 wally <wally> 2.6.7-2.mga6
+ Revision: 847797
- add requires for gir pkg to devel pkg

* Fri Jun 26 2015 joequant <joequant> 2.6.7-1.mga6
+ Revision: 844297
- upgrade to 2.6

* Thu Nov 27 2014 joequant <joequant> 2.4.4-1.mga5
+ Revision: 799545
- 2.4.4

* Sun Nov 23 2014 joequant <joequant> 2.4.2-1.mga5
+ Revision: 798398
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-5.mga5
+ Revision: 750808
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 2.2.4-4.mga5
+ Revision: 724947
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 2.2.4-3.mga5
+ Revision: 682829
- Mageia 5 Mass Rebuild
+ joequant <joequant>
- use new icon names

* Thu Aug 28 2014 joequant <joequant> 2.2.4-1.mga5
+ Revision: 668997
- update to 2.2.4

* Tue Jun 10 2014 joequant <joequant> 2.2.2-1.mga5
+ Revision: 635318
- upgrade to 2.2.2
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Fri Apr 18 2014 joequant <joequant> 2.2.0-1.mga5
+ Revision: 616804
- fix polib
- upgrade to 2.2.0

* Sun Apr 06 2014 joequant <joequant> 2.0.8-4.mga5
+ Revision: 612202
- remove tracker support so search works - copy from fedora

* Wed Jan 08 2014 joequant <joequant> 2.0.8-3.mga4
+ Revision: 565561
- push to core/release

* Thu Jan 02 2014 joequant <joequant> 2.0.8-2.mga4
+ Revision: 563979
- replace revert of 6958543 with commit fe014f8

* Wed Jan 01 2014 joequant <joequant> 2.0.8-1.mga4
+ Revision: 563804
- upgrade to 2.0.8

* Wed Oct 23 2013 joequant <joequant> 2.0.2-2.mga4
+ Revision: 546396
- upgrade to 2.0.2

* Mon Oct 21 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 539581
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 joequant <joequant> 2.0.0-1.mga4
+ Revision: 492489
- update to 2.0.0

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490009
- update to 1.9.1

* Fri Sep 20 2013 joequant <joequant> 1.8.6-0.20130917gitea09d20.2.mga4
+ Revision: 482574
- default icons to on

* Wed Sep 18 2013 joequant <joequant> 1.8.6-0.20130917gitea09d20.1.mga4
+ Revision: 481152
- update to git

* Tue Sep 10 2013 joequant <joequant> 1.8.6-0.20130913git813b84d.4.mga4
+ Revision: 477224
- fix desktop
- update and fix version numbers
- back out of background patch.  It seems to cause problems on my intel
  laptop
- don't conflict with nautilus

* Mon Sep 02 2013 joequant <joequant> 1.8.6-0.2.git60bbdec.mga4
+ Revision: 474272
- upgrade to latest git

* Fri Aug 23 2013 joequant <joequant> 1.8.6-0.1.gite5eaeb0.mga4
+ Revision: 470268
- update to 1.8.6

* Thu Jul 25 2013 joequant <joequant> 1.8.2-1.mga4
+ Revision: 458081
- build fixes
- upgrade tracker to 0.16
- update nemo
- 1.7.6
- sync to latest 1.7 versions of cinnamon
- update to 1.7.1
- sync to latest trunk
- imported package nemo
+ neoclust <neoclust>
- Remove what is handled by filetriggers
  Package Typelibs in their own package

